Skip to main content
POST
/
workspaces
/
{id}
/
members
Invite member
curl --request POST \
  --url https://app.mavera.io/api/v1/workspaces/{id}/members \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "role": "viewer"
}
'
{
  "id": "<string>",
  "object": "workspace.invitation",
  "workspace_id": "<string>",
  "email": "jsmith@example.com",
  "role": "owner",
  "status": "pending",
  "invited_by": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mavera.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.

Path Parameters

id
string
required

Workspace ID

Body

application/json
email
string<email>
required

Email address to invite

role
enum<string>
default:viewer

Role to assign (cannot be owner)

Available options:
owner,
manager,
analyst,
viewer,
editor,
creative_specialist,
client_viewer,
department_admin

Response

Invitation sent

id
string
object
enum<string>
Available options:
workspace.invitation
workspace_id
string
email
string<email>
role
enum<string>

Role of a workspace member

Available options:
owner,
manager,
analyst,
viewer,
editor,
creative_specialist,
client_viewer,
department_admin
status
enum<string>
Available options:
pending,
accepted,
expired,
declined
invited_by
string
expires_at
string<date-time>
created_at
string<date-time>